Index: src/main/java/mk/ukim/finki/db/library/config/DataInitializer.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/config/DataInitializer.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/config/DataInitializer.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -1,42 +1,95 @@
-//package mk.ukim.finki.db.library.config;
-//
-//import mk.ukim.finki.db.library.model.Book;
-//import mk.ukim.finki.db.library.model.Person;
-//import mk.ukim.finki.db.library.model.Writer;
-//import mk.ukim.finki.db.library.service.BookService;
-//import mk.ukim.finki.db.library.service.LibraryService;
-//import mk.ukim.finki.db.library.service.UserService;
-//import mk.ukim.finki.db.library.service.WriterService;
-//import org.springframework.stereotype.Component;
-//
-//import javax.annotation.PostConstruct;
-//import java.util.Calendar;
-//import java.util.Date;
-//
-//@Component
-//public class DataInitializer {
-//
-//    private final UserService userService;
-//    private final BookService bookService;
-//    private final WriterService writerService;
-//    private final LibraryService libraryService;
-//
-//    public DataInitializer(UserService userService, BookService bookService, WriterService writerService, LibraryService libraryService) {
-//        this.userService = userService;
-//        this.bookService = bookService;
-//        this.writerService = writerService;
-//        this.libraryService = libraryService;
-//    }
-//
-//    @PostConstruct
-//    public void initData(){
-//        Person member = this.userService.register("MemberName", "MemberSurname",  new Date(2010, Calendar.JANUARY,1),
-//                "MemberAddres","MemeberTowen", "071/654 521", "memberemail@hotmail.com", "baza123!");
-//
-//        Writer writer = this.writerService.create("Dan Brown");
-//
-//        Book book = this.bookService.create("Inferno", 10, true, 30, 50);
-//
-//
-//    }
-//}
+package mk.ukim.finki.db.library.config;
+
+import mk.ukim.finki.db.library.model.*;
+import mk.ukim.finki.db.library.service.*;
+import org.springframework.stereotype.Component;
+
+import javax.annotation.PostConstruct;
+import java.util.List;
+
+@Component
+public class DataInitializer {
+
+    private final UserService userService;
+    private final BookService bookService;
+    private final WriterService writerService;
+    private final GenreService genreService;
+    private final LibraryService libraryService;
+    private final SchoolTypeService schoolTypeService;
+    private final MembershipTypeService membershipTypeService;
+    private final RoomService roomService;
+    private final PriceListService priceListService;
+
+    public DataInitializer(UserService userService, BookService bookService, WriterService writerService, LibraryService libraryService, GenreService genreService, LibraryService libraryService1, SchoolTypeService schoolTypeService, MembershipTypeService membershipTypeService, RoomService roomService, PriceListService priceListService) {
+        this.userService = userService;
+        this.bookService = bookService;
+        this.writerService = writerService;
+        this.genreService = genreService;
+        this.libraryService = libraryService1;
+        this.schoolTypeService = schoolTypeService;
+        this.membershipTypeService = membershipTypeService;
+        this.roomService = roomService;
+        this.priceListService = priceListService;
+    }
+
+    @PostConstruct
+    public void initData(){
+        Person member = this.userService.register("MemberName", "MemberSurname",
+                "MemberAddres", "MemberTown", "071/111/222", "memberemail@hotmail.com", "baza123!");
+
+        //LIBRARIES
+        Library library = this.libraryService.create(1L,"Grigor Prlicev", "Ohrid");
+        this.libraryService.create(2L, "Braka Miladinovci", "Struga");
+        this.libraryService.create(3L, "Braka Miladinovci", "Skopje");
+
+        //GENRES
+        Genre genre = this.genreService.create(11L, "thriller");
+        this.genreService.create(12L, "comedy");
+        this.genreService.create(13L, "action");
+        this.genreService.create(14L, "romance");
+        this.genreService.create(15L, "history");
+        this.genreService.create(16L, "teenage");
+
+        //WRITERS
+        Writer writer = this.writerService.create(111L, "Dan Brown");
+        this.writerService.create(112L, "Linwood Barclay");
+        this.writerService.create(113L, "Sebastian Fizek");
+        this.writerService.create(114L, "Julie James");
+
+       //BOOKS
+        //this.bookService.createB(1112L,"Seat 7A", 5, true, 30, 50, List.of(1L), List.of(3L), 1L);
+        this.bookService.create(1111L, "Inferno",3, true, 30, 50);
+        this.bookService.create(1112L, "Seat 7A",2, true, 30, 50);
+        this.bookService.create(1113L, "No time for goodbye",0, false, 30, 50);
+
+        if("thriller".equals(genreService.findById(1L).toString()) && "Inferno".equals(bookService.findById(1L).getBookName())){
+            Genre genre1 = genreService.findById(1L);
+            Writer writer1 = writerService.findById(1L);
+            this.bookService.update(1111L, "Inferno",3, true, 30, 50, List.of(genre1.getId()), List.of(writer1.getId()), 1L);
+        }
+
+        //SCHOOLTYPES
+        this.schoolTypeService.create(1L,"PRIMARY SCHOOL");
+        this.schoolTypeService.create(2L,"HIGH SCHOOL");
+        this.schoolTypeService.create(3L,"OTHER");
+
+        //MEMBERSHIPTYPES
+        this.membershipTypeService.create(1L, "WEEKLY");
+        this.membershipTypeService.create(2L, "MONTHLY");
+        this.membershipTypeService.create(3L, "YEARLY");
+
+        //PRICELIST
+        this.priceListService.create(1L, 70); //weekly - other
+        this.priceListService.create(2L, 100); //monthy - other
+        this.priceListService.create(3L, 300); //yearly - other
+        this.priceListService.create(5L, 150); //yearly - primary school
+        this.priceListService.create(6L, 250); //yearly - high school
+
+        //ROOMS
+        this.roomService.create(1L, "Room 1", 30, 8);
+        this.roomService.create(2L, "Room 2", 20, 5);
+        this.roomService.create(3L, "Room 3", 60, 60);
+
+    }
+
+}
Index: src/main/java/mk/ukim/finki/db/library/model/Book.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/model/Book.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/model/Book.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -3,4 +3,5 @@
 import javax.persistence.*;
 import java.util.List;
+import java.util.Optional;
 
 @Entity
@@ -9,38 +10,7 @@
     public Book(){}
 
-//    public Book(String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate) {
-//        this.bookName = bookName;
-//        this.bookNumber = bookNumber;
-//        this.isFree = isFree;
-//        this.bookPrice = bookPrice;
-//        this.bookPriceLate = bookPriceLate;
-//    }
+    public Book(String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate, List<Long> genreIds, List<Long> writerIds, Long libraryId){}
 
-//    public Book(String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate, List<Genre> genres, List<Writer> writers
-//    , BookGenre bookGenre, LibrariesEnum librariesEnum) {
-//        this.bookName = bookName;
-//        this.bookNumber = bookNumber;
-//        this.isFree = isFree;
-//        this.bookPrice = bookPrice;
-//        this.bookPriceLate = bookPriceLate;
-//        this.genre = (Genre) genres;
-//        this.writers = writers;
-//        this.bookGenre = bookGenre;
-//        this.librariesEnum = librariesEnum;
-//    }
-//
-//    public Book(String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate, List<Writer> writers
-//            , BookGenre bookGenre, LibrariesEnum librariesEnum) {
-//        this.bookName = bookName;
-//        this.bookNumber = bookNumber;
-//        this.isFree = isFree;
-//        this.bookPrice = bookPrice;
-//        this.bookPriceLate = bookPriceLate;
-//        this.writers = writers;
-//        this.bookGenre = bookGenre;
-//        this.librariesEnum = librariesEnum;
-//    }
-
-    public Book(String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate, BookGenre bookGenre, LibrariesEnum librariesEnum) {
+    public Book(Long id, String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate) {
         this.bookName = bookName;
         this.bookNumber = bookNumber;
@@ -48,6 +18,35 @@
         this.bookPrice = bookPrice;
         this.bookPriceLate = bookPriceLate;
-        this.bookGenre = bookGenre;
-        this.librariesEnum = librariesEnum;
+    }
+
+    public Book(String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate, List<Genre> genres, List<Writer> writers) {
+        this.bookName = bookName;
+        this.bookNumber = bookNumber;
+        this.isFree = isFree;
+        this.bookPrice = bookPrice;
+        this.bookPriceLate = bookPriceLate;
+        this.genre = (Genre) genres;
+        this.writers = writers;
+    }
+
+    public Book(Long id,String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate, List<Genre> genres, List<Writer> writers, Library library) {
+        this.id = id;
+        this.bookName = bookName;
+        this.bookNumber = bookNumber;
+        this.isFree = isFree;
+        this.bookPrice = bookPrice;
+        this.bookPriceLate = bookPriceLate;
+        this.genre = (Genre) genres;
+        this.writers = writers;
+        this.library = library;
+    }
+
+    public Book(String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate, Library library) {
+        this.bookName = bookName;
+        this.bookNumber = bookNumber;
+        this.isFree = isFree;
+        this.bookPrice = bookPrice;
+        this.bookPriceLate = bookPriceLate;
+        this.library = library;
     }
 
@@ -66,10 +65,4 @@
     private int bookPriceLate;
 
-    @Enumerated
-    private BookGenre bookGenre;
-
-    @Enumerated
-    private LibrariesEnum librariesEnum;
-
     @ManyToOne
     private Library library;
@@ -83,4 +76,8 @@
     public Library getLibrary() {
         return library;
+    }
+
+    public void setId(Long id) {
+        this.id = id;
     }
 
@@ -117,8 +114,4 @@
     }
 
-    public String getGenreOfBook(){return bookGenre.toString();}
-
-    public String getLibraryOfBook(){return librariesEnum.toString();}
-
     public void setBookNumber(int bookNumber) {
         bookNumber = bookNumber;
Index: src/main/java/mk/ukim/finki/db/library/model/Genre.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/model/Genre.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/model/Genre.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -3,4 +3,5 @@
 import javax.persistence.Entity;
 import javax.persistence.GeneratedValue;
+import javax.persistence.GenerationType;
 import javax.persistence.Id;
 
@@ -10,13 +11,18 @@
     public Genre(){}
 
-    public Genre(String genreName) {
+    public Genre(Long id, String genreName) {
+        this.id = id;
         this.genreName = genreName;
     }
 
     @Id
-    @GeneratedValue
+    @GeneratedValue(strategy = GenerationType.IDENTITY)
     private Long id;
 
     private String genreName;
+
+    public Long getId() {
+        return id;
+    }
 
     public String getGenreName() {
Index: src/main/java/mk/ukim/finki/db/library/model/Library.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/model/Library.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/model/Library.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -15,5 +15,6 @@
     }
 
-    public Library(String libraryName, String libraryCity) {
+    public Library(Long id, String libraryName, String libraryCity) {
+        this.id = id;
         this.libraryName = libraryName;
         this.libraryCity = libraryCity;
Index: src/main/java/mk/ukim/finki/db/library/model/Member.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/model/Member.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/model/Member.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -33,6 +33,6 @@
     private Library library;
 
-    public Member(String name, String surname, Date birth, String address, String town, String phoneNumber, String email, String encryptedPasswords) {
-        super(name, surname, birth, address, town, phoneNumber, email, encryptedPasswords);
+    public Member(String name, String surname,  String address, String town, String phoneNumber, String email, String encryptedPasswords) {
+        super(name, surname,address, town, phoneNumber, email, encryptedPasswords);
     }
 
Index: src/main/java/mk/ukim/finki/db/library/model/MembershipType.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/model/MembershipType.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/model/MembershipType.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -8,10 +8,10 @@
     public MembershipType(){}
 
-    public MembershipType(String membershipTypeName) {
+    public MembershipType(Long id, String membershipTypeName) {
         this.membershipTypeName = membershipTypeName;
     }
 
     @Id
-    @GeneratedValue
+    @GeneratedValue(strategy = GenerationType.IDENTITY)
     private Long id;
 
Index: src/main/java/mk/ukim/finki/db/library/model/Person.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/model/Person.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/model/Person.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -25,8 +25,7 @@
     public Person(){ }
 
-    public Person(String name, String surname, Date birthDate, String address, String town, String phoneNumber, String email, String password) {
+    public Person(String name, String surname, String address, String town, String phoneNumber, String email, String password) {
         this.name = name;
         this.surname = surname;
-        this.birthDate = birthDate;
         this.address = address;
         this.town = town;
Index: src/main/java/mk/ukim/finki/db/library/model/PriceList.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/model/PriceList.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/model/PriceList.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -3,4 +3,5 @@
 import javax.persistence.Entity;
 import javax.persistence.GeneratedValue;
+import javax.persistence.GenerationType;
 import javax.persistence.Id;
 
@@ -10,10 +11,10 @@
     public PriceList(){}
 
-    public PriceList(int price) {
+    public PriceList(Long id, int price) {
         this.price = price;
     }
 
     @Id
-    @GeneratedValue
+    @GeneratedValue(strategy = GenerationType.IDENTITY)
     private Long id;
 
Index: src/main/java/mk/ukim/finki/db/library/model/Room.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/model/Room.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/model/Room.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -1,8 +1,5 @@
 package mk.ukim.finki.db.library.model;
 
-import javax.persistence.Entity;
-import javax.persistence.GeneratedValue;
-import javax.persistence.Id;
-import javax.persistence.ManyToOne;
+import javax.persistence.*;
 
 @Entity
@@ -11,5 +8,7 @@
     public Room(){}
 
-    public Room(int places, int freePlaces) {
+    public Room(Long id, String name, int places, int freePlaces) {
+        this.id = id;
+        this.name = name;
         this.places = places;
         this.freePlaces = freePlaces;
@@ -21,6 +20,8 @@
 
     @Id
-    @GeneratedValue
+    @GeneratedValue(strategy = GenerationType.IDENTITY)
     private Long id;
+
+    private String name;
 
     private int places;
Index: src/main/java/mk/ukim/finki/db/library/model/SchoolType.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/model/SchoolType.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/model/SchoolType.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -3,4 +3,5 @@
 import javax.persistence.Entity;
 import javax.persistence.GeneratedValue;
+import javax.persistence.GenerationType;
 import javax.persistence.Id;
 
@@ -10,10 +11,10 @@
     public SchoolType(){}
 
-    public SchoolType(String schoolTypeName) {
+    public SchoolType(Long id, String schoolTypeName) {
         this.schoolTypeName = schoolTypeName;
     }
 
     @Id
-    @GeneratedValue
+    @GeneratedValue(strategy = GenerationType.IDENTITY)
     private Long id;
 
Index: src/main/java/mk/ukim/finki/db/library/model/Writer.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/model/Writer.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/model/Writer.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -3,4 +3,5 @@
 import javax.persistence.Entity;
 import javax.persistence.GeneratedValue;
+import javax.persistence.GenerationType;
 import javax.persistence.Id;
 
@@ -10,13 +11,18 @@
     public Writer(){}
 
-    public Writer(String writerName) {
+    public Writer(Long id, String writerName) {
+        this.id = id;
         this.writerName = writerName;
     }
 
     @Id
-    @GeneratedValue
+    @GeneratedValue(strategy = GenerationType.IDENTITY)
     private Long id;
 
     private String writerName;
+
+    public Long getId() {
+        return id;
+    }
 
     public String getWriterName() {
Index: src/main/java/mk/ukim/finki/db/library/service/BookService.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/BookService.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/service/BookService.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -3,5 +3,4 @@
 import mk.ukim.finki.db.library.model.Book;
 import mk.ukim.finki.db.library.model.BookGenre;
-import mk.ukim.finki.db.library.model.LibrariesEnum;
 
 import java.util.List;
@@ -13,9 +12,11 @@
     Book findById(Long id);
 
-    Book create(String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate, BookGenre bookGenre, LibrariesEnum librariesEnum); //, List<Long> genreIds, List<Long> writerIds
+    Book create(Long id, String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate); //, List<Long> genreIds, List<Long> writerIds
 
-    Book update(Long id, String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate, List<Long> genreIds, List<Long> writerIds);
+    Book update(Long id, String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate, List<Long> genreIds, List<Long> writerIds, Long libraryId);
 
     Book delete(Long id);
 
+    Book createB(Long id, String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate, List<Long> genreIds, List<Long> writerIds, Long libraryId); //, List<Long> genreIds, List<Long> writerIds
+
 }
Index: src/main/java/mk/ukim/finki/db/library/service/GenreService.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/GenreService.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/service/GenreService.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -11,4 +11,4 @@
     List<Genre> listAll();
 
-    Genre create(String name);
+    Genre create(Long id, String name);
 }
Index: src/main/java/mk/ukim/finki/db/library/service/LibraryService.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/LibraryService.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/service/LibraryService.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -11,5 +11,5 @@
     List<Library> listAll();
 
-    Library create(String libraryName, String libraryCity);
+    Library create(Long id, String libraryName, String libraryCity);
 
     Library update(Long id, String libraryName, String libraryCity);
Index: src/main/java/mk/ukim/finki/db/library/service/MembershipTypeService.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/MembershipTypeService.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/service/MembershipTypeService.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -11,4 +11,4 @@
     List<MembershipType> listAll();
 
-    MembershipType create(String name);
+    MembershipType create(Long id, String name);
 }
Index: src/main/java/mk/ukim/finki/db/library/service/PriceListService.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/PriceListService.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/service/PriceListService.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -11,4 +11,4 @@
     List<PriceList> listAll();
 
-    PriceList create(int price);
+    PriceList create(Long id, int price);
 }
Index: src/main/java/mk/ukim/finki/db/library/service/RoomService.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/RoomService.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/service/RoomService.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -11,4 +11,4 @@
     List<Room> listAll();
 
-    Room create(int name);
+    Room create(Long id, String name, int places, int freePlaces);
 }
Index: src/main/java/mk/ukim/finki/db/library/service/SchoolTypeService.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/SchoolTypeService.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/service/SchoolTypeService.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -11,4 +11,4 @@
     List<SchoolType> listAll();
 
-    SchoolType create(String name);
+    SchoolType create(Long id, String name);
 }
Index: src/main/java/mk/ukim/finki/db/library/service/UserService.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/UserService.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/service/UserService.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -3,10 +3,8 @@
 import mk.ukim.finki.db.library.model.Person;
 
-import java.util.Date;
-
 public interface UserService {
 
-    Person register(String name, String surname, Date birthDate, String address, String town, String phoneNumber,
-                     String email, String password);
+    Person register(String name, String surname, String address, String town, String phoneNumber,
+                    String email, String password);
 
     Person login(String username, String password);
Index: src/main/java/mk/ukim/finki/db/library/service/WriterService.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/WriterService.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/service/WriterService.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -11,4 +11,4 @@
     List<Writer> listAll();
 
-    Writer create(String name);
+    Writer create(Long id, String name);
 }
Index: src/main/java/mk/ukim/finki/db/library/service/impl/BookServiceImpl.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/impl/BookServiceImpl.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/service/impl/BookServiceImpl.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -3,13 +3,14 @@
 import mk.ukim.finki.db.library.model.*;
 import mk.ukim.finki.db.library.model.exception.InvalidBookIdException;
+import mk.ukim.finki.db.library.model.exception.LibraryNotFoundException;
 import mk.ukim.finki.db.library.repository.BookRepository;
 import mk.ukim.finki.db.library.repository.GenreRepository;
+import mk.ukim.finki.db.library.repository.LibraryRepository;
 import mk.ukim.finki.db.library.repository.WriterRepository;
 import mk.ukim.finki.db.library.service.BookService;
-import mk.ukim.finki.db.library.service.LibraryService;
 import org.springframework.stereotype.Service;
 
 import java.util.List;
-import java.util.stream.Collectors;
+import java.util.Optional;
 
 @Service
@@ -19,9 +20,11 @@
     private final WriterRepository writerRepository;
     private final GenreRepository genreRepository;
+    private final LibraryRepository libraryRepository;
 
-    public BookServiceImpl(BookRepository bookRepository, WriterRepository writerRepository, GenreRepository genreRepository, LibraryService libraryService) {
+    public BookServiceImpl(BookRepository bookRepository, WriterRepository writerRepository, GenreRepository genreRepository, LibraryRepository libraryRepository) {
         this.bookRepository = bookRepository;
         this.writerRepository = writerRepository;
         this.genreRepository = genreRepository;
+        this.libraryRepository = libraryRepository;
     }
 
@@ -37,14 +40,13 @@
 
     @Override
-    public Book create(String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate,
-                       BookGenre bookGenre, LibrariesEnum librariesEnum) { //, List<Long> genreIds, List<Long> writerIds
+    public Book create(Long id, String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate) { //, List<Long> genreIds, List<Long> writerIds
         //List<Genre> genres = this.genreRepository.findAllById(genreIds);
         //List<Writer> writers = this.writerRepository.findAllById(writerIds);
-        Book book = new Book(bookName, bookNumber, isFree, bookPrice, bookPriceLate, bookGenre, librariesEnum); //, genres, writers
+        Book book = new Book(id, bookName, bookNumber, isFree, bookPrice, bookPriceLate); //, genres, writers
         return this.bookRepository.save(book);
     }
 
     @Override
-    public Book update(Long id, String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate, List<Long> genreIds, List<Long> writerIds) {
+    public Book update(Long id, String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate, List<Long> genreIds, List<Long> writerIds, Long libraryId) {
         Book book =  this.findById(id);
         book.setBookName(bookName);
@@ -60,4 +62,7 @@
         book.setWriters(writers);
 
+        Library library = this.libraryRepository.findById(libraryId).orElseThrow(() -> new LibraryNotFoundException(libraryId));
+        book.setLibrary(library);
+
         return this.bookRepository.save(book);
     }
@@ -70,4 +75,22 @@
     }
 
+    @Override
+    public Book createB(Long id, String bookName, int bookNumber, boolean isFree, int bookPrice, int bookPriceLate, List<Long> genreIds, List<Long> writerIds, Long libraryId) {
+        List<Genre> genres = this.genreRepository.findAllById(genreIds);
+        List<Writer> writers = this.writerRepository.findAllById(genreIds);
+
+        Book book = new Book();
+        book.setId(id);
+        book.setBookName(bookName);
+        book.setBookNumber(bookNumber);
+        book.setFree(isFree);
+        book.setBookPrice(bookPrice);
+        book.setBookPriceLate(bookPriceLate);
+        book.setGenre((Genre) genres);
+        book.setWriters(writers);
+
+        //book = new Book(bookName, bookNumber, isFree, bookPrice, bookPriceLate, genreIds, writerIds, libraryId);
+        return null;
+    }
 
     //in bookRepository
Index: src/main/java/mk/ukim/finki/db/library/service/impl/GenreServiceImpl.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/impl/GenreServiceImpl.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/service/impl/GenreServiceImpl.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -29,6 +29,6 @@
 
     @Override
-    public Genre create(String name) {
-        Genre genre = new Genre(name);
+    public Genre create(Long id, String name) {
+        Genre genre = new Genre(id, name);
         return this.genreRepository.save(genre);
     }
Index: src/main/java/mk/ukim/finki/db/library/service/impl/LibraryServiceImpl.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/impl/LibraryServiceImpl.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/service/impl/LibraryServiceImpl.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -25,6 +25,6 @@
 
     @Override
-    public Library create(String libraryName, String libraryCity) {
-        Library library = new Library(libraryName, libraryCity);
+    public Library create(Long id, String libraryName, String libraryCity) {
+        Library library = new Library(id, libraryName, libraryCity);
         return this.libraryRepository.save(library);
     }
Index: src/main/java/mk/ukim/finki/db/library/service/impl/MembershipTypeServiceImpl.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/impl/MembershipTypeServiceImpl.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/service/impl/MembershipTypeServiceImpl.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -30,6 +30,6 @@
 
     @Override
-    public MembershipType create(String name) {
-        MembershipType membershipType = new MembershipType(name);
+    public MembershipType create(Long id, String name) {
+        MembershipType membershipType = new MembershipType(id, name);
         return this.membershipTypeRepository.save(membershipType);
     }
Index: src/main/java/mk/ukim/finki/db/library/service/impl/PriceListServiceImpl.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/impl/PriceListServiceImpl.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/service/impl/PriceListServiceImpl.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -29,6 +29,6 @@
 
     @Override
-    public PriceList create(int price) {
-        PriceList priceList = new PriceList(price);
+    public PriceList create(Long id, int price) {
+        PriceList priceList = new PriceList(id, price);
         return this.priceListRepository.save(priceList);
     }
Index: src/main/java/mk/ukim/finki/db/library/service/impl/RoomServiceImpl.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/impl/RoomServiceImpl.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/service/impl/RoomServiceImpl.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -29,7 +29,7 @@
 
     @Override
-    public Room create(int room) {
-        Room roomNum = new Room(room);
-        return this.roomRepository.save(roomNum);
+    public Room create(Long id, String name, int places, int freePlaces) {
+        Room room = new Room(id, name, places, freePlaces);
+        return this.roomRepository.save(room);
     }
 }
Index: src/main/java/mk/ukim/finki/db/library/service/impl/SchoolTypeServiceImpl.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/impl/SchoolTypeServiceImpl.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/service/impl/SchoolTypeServiceImpl.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -29,6 +29,6 @@
 
     @Override
-    public SchoolType create(String name) {
-        SchoolType schoolType = new SchoolType(name);
+    public SchoolType create(Long id, String name) {
+        SchoolType schoolType = new SchoolType(id, name);
         return this.schoolTypeRepository.save(schoolType);
     }
Index: src/main/java/mk/ukim/finki/db/library/service/impl/UserServiceImpl.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/impl/UserServiceImpl.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/service/impl/UserServiceImpl.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -2,5 +2,4 @@
 
 import mk.ukim.finki.db.library.model.Person;
-import mk.ukim.finki.db.library.model.exception.InvalidArgumentsException;
 import mk.ukim.finki.db.library.model.exception.InvalidUserCredentialsException;
 import mk.ukim.finki.db.library.model.exception.InvalidUsernameOrPasswordException;
@@ -10,5 +9,4 @@
 import org.springframework.stereotype.Service;
 
-import java.util.Date;
 
 @Service
@@ -17,13 +15,13 @@
     private final UserRepository userRepository;
 
-    public UserServiceImpl(UserRepository userRepository) {
+    public UserServiceImpl(MemberRepository userRepository) {
         this.userRepository = userRepository;
     }
 
     @Override
-    public Person register(String name, String surname, Date birthDate, String address, String town, String phoneNumber,
-                            String email, String password) { //SchoolType schoolType, MembershipType membershipType,
+    public Person register(String name, String surname, String address, String town, String phoneNumber,
+                           String email, String password) { //SchoolType schoolType, MembershipType membershipType,
 
-        Person member = new Person(name, surname, birthDate, address, town, phoneNumber, email, password);
+        Person member = new Person(name, surname, address, town, phoneNumber, email, password);
 
         return this.userRepository.save(member);
Index: src/main/java/mk/ukim/finki/db/library/service/impl/WriterServiceImpl.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/service/impl/WriterServiceImpl.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/service/impl/WriterServiceImpl.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -30,6 +30,6 @@
 
     @Override
-    public Writer create(String name) {
-        Writer writer = new Writer(name);
+    public Writer create(Long id, String name) {
+        Writer writer = new Writer(id, name);
         return this.writerRepository.save(writer);
     }
Index: src/main/java/mk/ukim/finki/db/library/web/BookController.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/web/BookController.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/web/BookController.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -6,5 +6,5 @@
 
 @Controller
-@RequestMapping("/books")
+@RequestMapping("/book")
 public class BookController {
 
@@ -15,3 +15,5 @@
     }
 
+
+
 }
Index: src/main/java/mk/ukim/finki/db/library/web/LoginController.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/web/LoginController.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/web/LoginController.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -35,5 +35,5 @@
                     request.getParameter("password"));
             request.getSession().setAttribute("username", member);
-            return "redirect:/home";
+            return "redirect:/books";
         }
         catch (InvalidUserCredentialsException exception) {
Index: src/main/java/mk/ukim/finki/db/library/web/RegisterController.java
===================================================================
--- src/main/java/mk/ukim/finki/db/library/web/RegisterController.java	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/java/mk/ukim/finki/db/library/web/RegisterController.java	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -35,5 +35,4 @@
     public String register(@RequestParam String name,
                            @RequestParam String surname,
-                           @RequestParam Date birthDate,
                            @RequestParam String town,
                            @RequestParam String address,
@@ -41,7 +40,7 @@
                            @RequestParam String email,
                            @RequestParam String password
-                           ) {
+    ) {
         try{
-            this.userService.register(name, surname, birthDate, town, address, phoneNumber, email, password);
+            this.userService.register(name, surname, town, address, phoneNumber, email, password);
             return "redirect:/login";
         } catch (InvalidArgumentsException | PasswordsDoNotMatchException exception) {
Index: src/main/resources/application.properties
===================================================================
--- src/main/resources/application.properties	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/resources/application.properties	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -1,22 +1,21 @@
-server.port=8081
-
-spring.profiles.active=prod
-
-#spring.datasource.hikari.connection-timeout=20000
-#spring.datasource.hikari.maximum-pool-size=5
-
-#spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.PostgreSQL95Dialect
-#spring.jpa.properties.hibernate.jdbc.lob.non_contextual_creation=true
-#
-#spring.jpa.hibernate.ddl-auto=update
-#spring.jpa.show-sql=true
-#
-#spring.jpa.hibernate.naming.implicit-strategy=org.hibernate.boot.model.naming.ImplicitNamingStrategyComponentPathImpl
-#
-#
-#spring.jpa.open-in-view=false
+server.port=9091
 
 # Datasource configuration
-#spring.datasource.url=jdbc:postgresql://localhost:5432/libraryDB
-#spring.datasource.username=vintageLibrary
-#spring.datasource.password=baza123
+spring.datasource.url=jdbc:postgresql://localhost:5432/parkingDB
+spring.datasource.username=parkDB
+spring.datasource.password=parkdb123
+
+# Default connection pool
+spring.datasource.hikari.connection-timeout=20000
+spring.datasource.hikari.maximum-pool-size=5
+
+spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.PostgreSQL95Dialect
+spring.jpa.properties.hibernate.jdbc.lob.non_contextual_creation=true
+
+spring.jpa.hibernate.ddl-auto=update
+spring.jpa.show-sql=true
+
+
+spring.jpa.hibernate.naming.implicit-strategy=org.hibernate.boot.model.naming.ImplicitNamingStrategyComponentPathImpl
+
+spring.jpa.open-in-view=false
Index: src/main/resources/templates/book.html
===================================================================
--- src/main/resources/templates/book.html	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/resources/templates/book.html	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -1,10 +1,116 @@
 <!DOCTYPE html>
-<html lang="en">
+<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org">
 <head>
-  <meta charset="UTF-8">
-  <title>$Title$</title>
+  <meta charset="UTF-8"/>
+  <title>Books</title>
+  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
+  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
+  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
+  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
 </head>
 <body>
-$END$
+<!--Header-->
+<nav class="navbar navbar-expand-md navbar-dark bg-dark">
+  <div class="container">
+    <a class="navbar-brand" href="/home">ONLINE  LIBRARY</a>
+    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault"
+            aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
+      <span class="navbar-toggler-icon"></span>
+    </button>
+
+    <div class="collapse navbar-collapse justify-content-end" id="navbarsExampleDefault">
+      <ul class="navbar-nav m-auto">
+        <li class="nav-item m-auto">
+          <a class="nav-link active" href="/home">ПОЧЕТНА</a>
+        </li>
+        <li class="nav-item m-auto">
+          <a class="nav-link active" href="/info">ИНФОРМАЦИИ</a>
+        </li>
+        <li class="nav-item m-auto">
+          <a class="nav-link active" href="/guide">УПАТСТВО</a>
+        </li>
+        <li class="nav-item m-auto">
+          <a class="nav-link active" href="/book">КНИГИ</a>
+        </li>
+      </ul>
+
+      <form class="form-inline my-2 my-lg-0">
+        <a class="btn btn-primary btn-sm ml-3" href="/logout">
+          <i class="fa fa-shopping-cart"></i> ОДЈАВИ СЕ
+        </a>
+      </form>
+    </div>
+  </div>
+</nav>
+
+<!--Main-->
+<div class="container">
+  <section class="jumbotron text-center">
+    <h2 class="jumbotron-heading">Достапни книги</h2>
+  </section>
+
+  <div th:if="${hasError}">
+    <h5 class="text-center text-danger" th:text="${error}"></h5>
+  </div>
+
+  <div class="container mb-4">
+    <div class="row">
+      <div class="col-12" >
+        <div class="table-responsive">
+          <table class="table table-striped">
+            <thead>
+            <th scope="col">Book Name</th>
+            <th scope="col">Price</th>
+            <th scope="col">Price Late</th>
+            <th scope="col">Genre</th>
+            <th scope="col">Library</th>
+            </thead>
+            <tbody>
+            <tr>
+              <td></td>
+            </tr>
+            </tbody>
+
+          </table>
+        </div>
+      </div>
+    </div>
+  </div>
+
+  <div>
+    <table>
+
+      <!-- For each news you should have one <tr> like below -->
+      <tr class="item" th:each="book:${book}">
+        <td th:text="${book.bookName}">[book.bookName]</td>
+        <td th:text="${book.bookPrice}">[book.bookPrice]</td>
+        <td th:text="${book.bookPriceLate}">[book.bookPriceLate]</td>
+        <td th:text="${book.getGenreOfBook()}">[book.genreOfBook]</td>
+        <td th:text="${book.getLibraryOfBook()}">[book.libraryOfBook]</td>\
+
+      </tr>
+    </table>
+  </div>
+
+</div>
+
+
+
+<!-- Footer -->
+<footer class="text-black-50 mt-xl-5">
+  <div class="container">
+    <div class="row">
+      <div class="col-md-3 col-lg-1 col-xl-5">
+        <h5>Contact</h5>
+        <hr class="bg-white mb-2 mt-0 d-inline-block mx-auto w-25">
+        <ul class="list-unstyled">
+          <li><i class="fa fa-envelope mr-2"></i>onlinelibrary@library.com</li>
+          <li><i class="fa fa-phone mr-2"></i> + 33 12 14 15 16</li>
+          <li><i class="fa fa-print mr-2"></i> + 33 12 14 15 16</li>
+        </ul>
+      </div>
+    </div>
+  </div>
+</footer>
 </body>
 </html>
Index: src/main/resources/templates/guide.html
===================================================================
--- src/main/resources/templates/guide.html	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/resources/templates/guide.html	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -30,5 +30,5 @@
                 </li>
                 <li class="nav-item m-auto">
-                    <a class="nav-link active" href="/listBooks">ЛИСТА НА КНИГИ</a>
+                    <a class="nav-link active" href="/book">ЛИСТА НА КНИГИ</a>
                 </li>
             </ul>
Index: src/main/resources/templates/home.html
===================================================================
--- src/main/resources/templates/home.html	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/resources/templates/home.html	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -28,7 +28,4 @@
                 <li class="nav-item m-auto">
                     <a class="nav-link active" href="/guide">УПАТСТВО</a>
-                </li>
-                <li class="nav-item m-auto">
-                    <a class="nav-link active" href="/listBooks">ЛИСТА НА КНИГИ</a>
                 </li>
             </ul>
Index: src/main/resources/templates/info.html
===================================================================
--- src/main/resources/templates/info.html	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/resources/templates/info.html	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -28,7 +28,4 @@
         <li class="nav-item m-auto">
           <a class="nav-link active" href="/guide">УПАТСТВО</a>
-        </li>
-        <li class="nav-item m-auto">
-          <a class="nav-link active" href="/listBooks">ЛИСТА НА КНИГИ</a>
         </li>
       </ul>
Index: src/main/resources/templates/library.html
===================================================================
--- src/main/resources/templates/library.html	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/resources/templates/library.html	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -24,11 +24,8 @@
         </li>
         <li class="nav-item m-auto">
-          <a class="nav-link active" href="info.html">ИНФОРМАЦИИ</a>
+          <a class="nav-link active" href="/info">ИНФОРМАЦИИ</a>
         </li>
         <li class="nav-item m-auto">
-          <a class="nav-link active" href="guide.html">УПАТСТВО</a>
-        </li>
-        <li class="nav-item m-auto">
-          <a class="nav-link active" href="/listBooks">ЛИСТА НА КНИГИ</a>
+          <a class="nav-link active" href="/guide">УПАТСТВО</a>
         </li>
       </ul>
Index: src/main/resources/templates/login.html
===================================================================
--- src/main/resources/templates/login.html	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/resources/templates/login.html	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -30,7 +30,4 @@
                 <li class="nav-item m-auto">
                     <a class="nav-link active" href="/guide">УПАТСТВО</a>
-                <li class="nav-item m-auto">
-                    <a class="nav-link active" href="/listBooks">ЛИСТА НА КНИГИ</a>
-                </li>
                 </li>
             </ul>
Index: src/main/resources/templates/onlinePayment.html
===================================================================
--- src/main/resources/templates/onlinePayment.html	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/resources/templates/onlinePayment.html	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -21,11 +21,11 @@
         </li>
         <li class="nav-item m-auto">
-          <a class="nav-link active" href="info.html">ИНФОРМАЦИИ</a>
+          <a class="nav-link active" href="/info">ИНФОРМАЦИИ</a>
         </li>
         <li class="nav-item m-auto">
-          <a class="nav-link active" href="guide.html">УПАТСТВО</a>
+          <a class="nav-link active" href="/guide">УПАТСТВО</a>
         </li>
         <li class="nav-item m-auto">
-          <a class="nav-link active" href="listBooks.html">ЛИСТА НА КНИГИ</a>
+          <a class="nav-link active" href="/book">ЛИСТА НА КНИГИ</a>
         </li>
       </ul>
Index: src/main/resources/templates/register.html
===================================================================
--- src/main/resources/templates/register.html	(revision 5506b504ca4434d0f9aa059aab0a14ed294cd56a)
+++ src/main/resources/templates/register.html	(revision e5de1b0cbaa7e641ac95c09ac8264d5b1766586a)
@@ -13,5 +13,5 @@
 <nav class="navbar navbar-expand-md navbar-dark bg-dark">
     <div class="container">
-        <a class="navbar-brand" href="/home">ONLINE  LIBRARY</a>
+        <a class="navbar-brand" href="/home">VINTAGE LIBRARY</a>
         <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault"
                 aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
@@ -25,11 +25,8 @@
                 </li>
                 <li class="nav-item m-auto">
-                    <a class="nav-link active" href="/info">ИНФОРМАЦИИ</a>
+                    <a class="nav-link active" href="info.html">ИНФОРМАЦИИ</a>
                 </li>
                 <li class="nav-item m-auto">
-                    <a class="nav-link active" href="/guide">УПАТСТВО</a>
-                </li>
-                <li class="nav-item m-auto">
-                    <a class="nav-link active" href="/listBooks">ЛИСТА НА КНИГИ</a>
+                    <a class="nav-link active" href="guide.html">УПАТСТВО</a>
                 </li>
             </ul>
@@ -44,60 +41,57 @@
     </div>
 
-<div class="container">
+    <div class="container">
 
-    <form class="form-signin mt-xl-2 col-md-8" method="post" action="/register">
-        <h2 class="form-signin-heading">Регистрација</h2>
-        <br>
-        <p>
-            <label for="name" class="sr-only">Име</label>
-            <input type="text" id="name" name="name" class="form-control" placeholder="Name" required="" autofocus="">
-        </p>
-        <p>
-            <label for="surname" class="sr-only">Презиме</label>
-            <input type="text" id="surname" name="surname" class="form-control" placeholder="Surname" required="" autofocus="">
-        </p>
-        <p>
-            <label for="birth" class="sr-only">Датум на раѓање</label>
-            <input type="date" id="birth" name="birth" class="form-control" placeholder="Birth" required="" autofocus="">
-        </p>
-        <p>
-            <label for="town" class="sr-only">Град</label>
-            <input type="text" id="town" name="town" class="form-control" placeholder="Town" required="" autofocus="">
-        </p>
-        <p>
-            <label for="address" class="sr-only">Адреса</label>
-            <input type="text" id="address" name="address" class="form-control" placeholder="Address" required="" autofocus="">
-        </p>
-        <p>
-            <label for="phonenumber" class="sr-only">Телефонски број</label>
-            <input type="text" id="phonenumber" name="phonenumber" class="form-control" placeholder="Phonenumber" required="" autofocus="">
-        </p>
-        <p>
-            <label for="schoolType" class="sr-only">Тип на школо</label>
-            <input type="text" id="schoolType" name="schoolType" class="form-control" placeholder="SchoolType" required="" autofocus="">
-        </p>
-        <p>
-            <label for="membershipType" class="sr-only">Тип на чланарина</label>
-            <input type="text" id="membershipType" name="membershipType" class="form-control" placeholder="MembershipType" required="" autofocus="">
-        </p>
-        <p>
-            <label for="email" class="sr-only">Корисничко име</label>
-            <input type="text" id="email" name="email" class="form-control" placeholder="Username" required="" autofocus="">
-        </p>
-        <p>
-            <label for="password" class="sr-only">Лозинка</label>
-            <input type="password" id="password" name="password" class="form-control" placeholder="Password" required="">
-        </p>
-        <p>
-            <label for="paymentMethod" class="sr-only">Изберете начин на плаќање</label>
-            <input type="radio" id="paymentMethod" name="paymentMethod" class="form-control" placeholder="IsPayedBook" required="">
-        </p>
+        <form class="form-signin mt-xl-2 col-md-8" method="post" action="/register">
+            <h2 class="form-signin-heading">Регистрација</h2>
+            <br>
+            <p>
+                <label for="name" class="sr-only">Име</label>
+                <input type="text" id="name" name="name" class="form-control" placeholder="Name" required="" autofocus="">
+            </p>
+            <p>
+                <label for="surname" class="sr-only">Презиме</label>
+                <input type="text" id="surname" name="surname" class="form-control" placeholder="Surname" required="" autofocus="">
+            </p>
+            <!-- <p>
+                <label for="birthDate" class="sr-only">Датум на раѓање</label>
+                <input type="date" id="birthDate" name="birthDate" class="form-control" placeholder="Birth" required="" autofocus="">
+            </p> -->
+            <p>
+                <label for="town" class="sr-only">Град</label>
+                <input type="text" id="town" name="town" class="form-control" placeholder="Town" required="" autofocus="">
+            </p>
+            <p>
+                <label for="address" class="sr-only">Адреса</label>
+                <input type="text" id="address" name="address" class="form-control" placeholder="Address" required="" autofocus="">
+            </p>
+            <p>
+                <label for="phoneNumber" class="sr-only">Телефонски број</label>
+                <input type="text" id="phoneNumber" name="phoneNumber" class="form-control" placeholder="Phonenumber" required="" autofocus="">
+            </p>
+            <!-- <p>
+                 <label for="schoolType" class="sr-only">Тип на школо</label>
+                 <input type="text" id="schoolType" name="schoolType" class="form-control" placeholder="SchoolType" required="" autofocus="">
+             </p>
+             <p>
+                 <label for="membershipType" class="sr-only">Тип на чланарина</label>
+                 <input type="text" id="membershipType" name="membershipType" class="form-control" placeholder="MembershipType" required="" autofocus="">
+             </p> -->
+            <p>
+                <label for="email" class="sr-only">Корисничко име</label>
+                <input type="text" id="email" name="email" class="form-control" placeholder="Username" required="" autofocus="">
+            </p>
+            <p>
+                <label for="password" class="sr-only">Лозинка</label>
+                <input type="password" id="password" name="password" class="form-control" placeholder="Password" required="">
+            </p>
 
-        <button class="btn btn-lg btn-primary btn-block" type="submit">Регистрирај се</button>
-        <br>
-        <a href="/login" class="btn btn-block btn-light">Веќе имате профил? Најавете се тука!!</a>
-    </form>
 
-</div>
+            <button class="btn btn-lg btn-primary btn-block" type="submit">Регистрирај се</button>
+            <br>
+            <a href="/login" class="btn btn-block btn-light">Веќе имате профил? Најавете се тука!!</a>
+        </form>
+
+    </div>
 </section>
 
@@ -110,5 +104,5 @@
                 <hr class="bg-white mb-2 mt-0 d-inline-block mx-auto w-25">
                 <ul class="list-unstyled">
-                    <li><i class="fa fa-envelope mr-2"></i>onlinelibrary@library.com</li>
+                    <li><i class="fa fa-envelope mr-2"></i>vintagelibrary@library.com</li>
                     <li><i class="fa fa-phone mr-2"></i> + 33 12 14 15 16</li>
                     <li><i class="fa fa-print mr-2"></i> + 33 12 14 15 16</li>
